package com.liquidnet.service.merchant.util;

import com.liquidnet.service.merchant.dto.vo.MerchantFieldsAppliesVo;
import com.mongodb.BasicDBObject;

import java.util.ArrayList;

public class ObjectUtil {

    private static final ArrayList<MerchantFieldsAppliesVo> merchantFieldsAppliesVoArrayList = new ArrayList<>();
    private static final BasicDBObject basicDBObject = new BasicDBObject();

    public static ArrayList<MerchantFieldsAppliesVo> getMerchantFieldsAppliesVoArrayList() {
        return (ArrayList<MerchantFieldsAppliesVo>) merchantFieldsAppliesVoArrayList.clone();
    }

    public static BasicDBObject cloneBasicDBObject() {
        return (BasicDBObject) basicDBObject.clone();
    }
}
